Loading...
Searching...
No Matches
pcl::TextureMesh Struct Reference

`#include <pcl/TextureMesh.h>`

## Public Types

using | Ptr = shared_ptr< pcl::TextureMesh >
using | ConstPtr = shared_ptr< const pcl::TextureMesh >

## Public Attributes

pcl::PCLPointCloud2 | cloud
pcl::PCLHeader | header
std::vector< std::vector< pcl::Vertices > > | tex_polygons
| polygon which is mapped with specific texture defined in TexMaterial
std::vector< std::vector< Eigen::Vector2f, Eigen::aligned_allocator< Eigen::Vector2f > > > | tex_coordinates
| UV coordinates.
std::vector< pcl::TexMaterial > | tex_materials
| define texture material
std::vector< std::vector< pcl::Vertices > > | tex_coord_indices
| Specifies which texture coordinates from tex_coordinates each polygon/face uses.

## Detailed Description

Author
  Khai Tran

Definition at line 88 of file TextureMesh.h.

## Member Typedef Documentation

## ConstPtr

using pcl::TextureMesh::ConstPtr = shared_ptr<const pcl::TextureMesh>

Definition at line 108 of file TextureMesh.h.

## Ptr

using pcl::TextureMesh::Ptr = shared_ptr<pcl::TextureMesh>

Definition at line 107 of file TextureMesh.h.

## Member Data Documentation

## cloud

pcl::PCLPointCloud2 pcl::TextureMesh::cloud

Definition at line 90 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::TextureMapping< PointInT >::removeOccludedPoints(), pcl::TextureMapping< PointInT >::removeOccludedPoints(), pcl::TextureMapping< PointInT >::showOcclusions(), pcl::TextureMapping< PointInT >::sortFacesByCamera(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## header

pcl::PCLHeader pcl::TextureMesh::header

Definition at line 91 of file TextureMesh.h.

## tex_coord_indices

std::vector<std::vector<pcl::Vertices> > pcl::TextureMesh::tex_coord_indices

Specifies which texture coordinates from tex_coordinates each polygon/face uses.

The vectors must have the same sizes as in tex_polygons, but the pcl::Vertices may be empty for those polygons/faces that do not use coordinates.

Definition at line 104 of file TextureMesh.h.

## tex_coordinates

std::vector<std::vector<Eigen::Vector2f, Eigen::aligned_allocator<Eigen::Vector2f> > > pcl::TextureMesh::tex_coordinates

UV coordinates.

Definition at line 97 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

## tex_materials

std::vector<pcl::TexMaterial> pcl::TextureMesh::tex_materials

define texture material

Definition at line 99 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), and pcl::TextureMapping< PointInT >::mapTexture2MeshUV().

## tex_polygons

std::vector<std::vector<pcl::Vertices> > pcl::TextureMesh::tex_polygons

polygon which is mapped with specific texture defined in TexMaterial

Definition at line 95 of file TextureMesh.h.

Referenced by pcl::TextureMapping< PointInT >::mapMultipleTexturesToMeshUV(), pcl::TextureMapping< PointInT >::mapTexture2Mesh(), pcl::TextureMapping< PointInT >::mapTexture2MeshUV(), pcl::TextureMapping< PointInT >::removeOccludedPoints(), pcl::TextureMapping< PointInT >::sortFacesByCamera(), and pcl::TextureMapping< PointInT >::textureMeshwithMultipleCameras().

The documentation for this struct was generated from the following file:

- pcl/TextureMesh.h